curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/triggers/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"version": "1.0.0",
"configured_props": {},
"dynamic_props_id": "<string>",
"workflow_id": "<string>",
"webhook_url": "<string>",
"emit_on_deploy": true
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.triggers.deploy({
id: "id",
externalUserId: "external_user_id",
configuredProps: { key: "value" }
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.triggers.deploy(
id="id",
external_user_id="external_user_id",
configured_props={ "key": "value" },
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.triggers.requests.DeployTriggerOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.triggers().deploy(
DeployTriggerOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.configuredProps(Map.of("key", "value"))
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/triggers/deploy"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"version\": \"1.0.0\",\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"workflow_id\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"emit_on_deploy\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"owner_id": "<string>",
"component_id": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true,
"alertType": "info"
}
],
"configured_props": {},
"active": true,
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"name_slug": "<string>",
"type": "DeployedComponent",
"component_key": "<string>",
"callback_observations": "<unknown>",
"emit_on_deploy": true,
"webhook_signing_key": "<string>"
}
}{
"error": "Throttled"
}Deploy trigger
Deploy a trigger to listen for and emit events
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/triggers/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"version": "1.0.0",
"configured_props": {},
"dynamic_props_id": "<string>",
"workflow_id": "<string>",
"webhook_url": "<string>",
"emit_on_deploy": true
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.triggers.deploy({
id: "id",
externalUserId: "external_user_id",
configuredProps: { key: "value" }
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.triggers.deploy(
id="id",
external_user_id="external_user_id",
configured_props={ "key": "value" },
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.triggers.requests.DeployTriggerOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.triggers().deploy(
DeployTriggerOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.configuredProps(Map.of("key", "value"))
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/triggers/deploy"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"version\": \"1.0.0\",\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"workflow_id\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"emit_on_deploy\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"owner_id": "<string>",
"component_id": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true,
"alertType": "info"
}
],
"configured_props": {},
"active": true,
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"name_slug": "<string>",
"type": "DeployedComponent",
"component_key": "<string>",
"callback_observations": "<unknown>",
"emit_on_deploy": true,
"webhook_signing_key": "<string>"
}
}{
"error": "Throttled"
}webhook_url, Pipedream returns a signing key you can use to verify webhook signatures on incoming event deliveries.Authorizations
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
development, production Path Parameters
The project ID, which starts with proj_.
^proj_[a-zA-Z0-9]+$Body
Request options for deploying a trigger
The trigger component ID
The external user ID
Trigger component semantic version
"1.0.0"
The configured properties of the component
Show child attributes
Show child attributes
The ID for dynamic props
Optional ID of a workflow to receive trigger events
^p_[a-zA-Z0-9]+Optional webhook URL to receive trigger events
Whether the trigger should emit events during the deploy hook execution. Defaults to true if not specified.
Response
trigger deployed
Response received after deploying a trigger
A component/interface that emits events
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Was this page helpful?